commit:     3cd241ff460c9eed3e5b0e88f5be5c27522c3117
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 21 06:11:31 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 21 10:08:19 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3cd241ff

dev-python/requests: Bump to 2.23.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/requests/Manifest               |  1 +
 dev-python/requests/requests-2.23.0.ebuild | 66 ++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/dev-python/requests/Manifest b/dev-python/requests/Manifest
index 9d1106977fd..a4906d9356b 100644
--- a/dev-python/requests/Manifest
+++ b/dev-python/requests/Manifest
@@ -1,2 +1,3 @@
 DIST requests-2.21.0.tar.gz 111528 BLAKE2B 
7b40f9f572a8efde41c177fb5d1e1eaf29ca60cad0661fa28ac0085f3700348380d619f68c0082f24044d1af82b16d6b1e7d5dd2c2a2329f85fcee7141b1fbf6
 SHA512 
385e1d80993a21c09e7c4682500ca8c24155962ba41ecd8e73612722b2ff6618b736e827fc48ad1683b0d2bc7a420cfe680f5107860aca52656ef777f1d60104
 DIST requests-2.22.0.tar.gz 113406 BLAKE2B 
36e1fa106f30af3d560c11edab3cd8f7e79116378c6f4d505052c8b19021846a22b4631567859b23331e7c9413896e77d7fc3288cd3af586f5f99da21c9181a6
 SHA512 
8b8e9da8a0c816fb4ff39be89ac7e1a9d5a99503ed93e44a0d78b28818f1c0eb253b151972a144151a616ba1b4bc5595245458a8268c5161391db54f740ac9a5
+DIST requests-2.23.0.tar.gz 114327 BLAKE2B 
75bdf83e117e9f67c2032609ed5c20582f743519ab8364dd6b12685efd6b6e438f1c155fe9d3df87e48608747f59df6d99698d1f68e5df6c0cbced9e7d1a9b37
 SHA512 
a0f7db5cc9ce67af9f6f81b72e41491735a102f2a1da2fbde98e279846e2140cd26b6370aa5ec79c148c397885a7ae2bbce45c4587215f510dd02b8ac57cb46e

diff --git a/dev-python/requests/requests-2.23.0.ebuild 
b/dev-python/requests/requests-2.23.0.ebuild
new file mode 100644
index 00000000000..e07f05359d8
--- /dev/null
+++ b/dev-python/requests/requests-2.23.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP library for human beings"
+HOMEPAGE="http://python-requests.org/";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="socks5 +ssl test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/certifi-2017.4.17[${PYTHON_USEDEP}]
+       >=dev-python/chardet-3.0.2[${PYTHON_USEDEP}]
+       <dev-python/chardet-4[${PYTHON_USEDEP}]
+       >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+       <dev-python/idna-3[${PYTHON_USEDEP}]
+       <dev-python/urllib3-1.26[${PYTHON_USEDEP}]
+       socks5? ( >=dev-python/PySocks-1.5.6[${PYTHON_USEDEP}] )
+       ssl? (
+               >=dev-python/cryptography-1.3.4[${PYTHON_USEDEP}]
+               >=dev-python/pyopenssl-0.14[${PYTHON_USEDEP}]
+       )
+"
+
+BDEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               >=dev-python/PySocks-1.5.6[${PYTHON_USEDEP}]
+       )
+"
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # strip tests that require some kind of network
+       sed -e 's:test_connect_timeout:_&:' \
+               -e 's:test_total_timeout_connect:_&:' \
+               -i tests/test_requests.py || die
+       # probably pyopenssl version dependent
+       sed -e 's:test_https_warnings:_&:' \
+               -i tests/test_requests.py || die
+       # doctests rely on networking
+       sed -e 's:--doctest-modules::' \
+               -i pytest.ini || die
+}
+
+python_test() {
+       # tests hang with pypy & pypy3
+#      [[ ${EPYTHON} == pypy* ]] && continue
+
+       pytest -vv || die "Tests failed with ${EPYTHON}"
+}

Reply via email to